summaryrefslogtreecommitdiff
path: root/setup-parrot.sh
diff options
context:
space:
mode:
authorDan Fedele <dan.fedele@gmail.com>2020-06-04 11:30:15 -0400
committerDan Fedele <dan.fedele@gmail.com>2020-06-04 11:30:15 -0400
commit300c6ebe66fef4ecfb50675dcde52da5de1051b0 (patch)
treeb50a466e5b1742eb02c5d169388aef0333d9499d /setup-parrot.sh
parent5d0016204e8343491d09f0e191de44ec261c85e2 (diff)
Adding installer for parrotOS too
Diffstat (limited to 'setup-parrot.sh')
-rw-r--r--setup-parrot.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/setup-parrot.sh b/setup-parrot.sh
new file mode 100644
index 0000000..ce86bad
--- /dev/null
+++ b/setup-parrot.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as sudo or root."
+ exit 1
+fi
+
+echo "***********************************"
+echo "* Installing pip *"
+echo "***********************************"
+
+curl -s https://bootstrap.pypa.io/get-pip.py -o /tmp/get-pip.py
+python3 /tmp/get-pip.py --user --no-warn-script-location
+
+export PATH=$PATH:/root/.local/bin
+
+echo "***********************************"
+echo "* Installing ansible *"
+echo "***********************************"
+
+pip install ansible
+
+echo "***********************************"
+echo "* Pulling master bashrc *"
+echo "***********************************"
+
+curl -sL http://raw.github.com/AgroDan/FreshInstall/master/master-bashrc -o /tmp/master-bashrc
+
+echo "***********************************"
+echo "* Pulling bash_functions *"
+echo "***********************************"
+
+curl -sL http://raw.github.com/AgroDan/FreshInstall/master/master-bash_functions -o /tmp/master-bash_functions
+
+echo "***********************************"
+echo "* Pulling .tmux.conf *"
+echo "***********************************"
+
+curl -sL http://raw.github.com/AgroDan/FreshInstall/master/master-tmux_conf -o /tmp/master-tmux_conf
+
+echo "***********************************"
+echo "* Running Kali playbook *"
+echo "***********************************"
+
+curl -sL http://raw.github.com/AgroDan/FreshInstall/master/parrot.yml -o /tmp/parrot.yml
+
+ansible-playbook /tmp/parrot.yml
+
+echo "***********************************"
+echo "* Cleaning up *"
+echo "***********************************"
+
+rm -f /tmp/master-bashrc /tmp/master-bash_functions /tmp/master-tmux_conf /tmp/get-pip.py /tmp/parrot.yml
+
+echo "***********************************"
+echo "* Done! *"
+echo "***********************************"
+
+echo "You should be set up. Check above for any errors." \ No newline at end of file